$(function() {
    lv_tabInit();
    lv_productScroll();
    lv_adScroll();
});

function lv_tabInit() {
    var $div_li = $(".panl_right .tabbar li");  
    var $div_div = $(".tabdiv > div").eq(0).show().end();   
    var index = 0; 
    lv_barinit($div_div,index)

    $div_li.click(function() {        
        $(this).addClass("selected").siblings().removeClass("selected");
        index = $div_li.index(this);
        $div_div.eq(index).show().siblings().hide();   
        lv_barinit($div_div,index)
    });
}

function lv_barinit(div,index)
{
        if(div.eq(index).find(" > ul > li").length>4)
        {
           $(".leftbar").show();
           $(".rightbar").show();
        }
        else
        {
           $(".leftbar").hide();
           $(".rightbar").hide();
        }
}


function lv_productScroll() { 
    var width = $(".tabdiv").width() + 1;

    var sv = new Array(1, 1, 1);
    $(".leftbar").click(function() {
        var index = $(".panl_right .tabbar .selected").index();
        var $cdiv = $(".tabdiv > div").eq(index);
        var page = Math.ceil($cdiv.find("li").length / 4);
        if (sv[index] == page) {
            $cdiv.stop(true, false).animate({ left: "-2px" }, 600);
            sv[index] = 1;
        }
        else {
            $cdiv.stop(true, false).animate({ left: "-=" + width + "px" }, 600);
            sv[index]++;
        }
    }).hover(function() { $(this).addClass("leftbarchange"); }, function() { $(this).removeClass("leftbarchange"); });

    $(".rightbar").click(function() {   
        var index = $(".panl_right .tabbar .selected").index();
        var $cdiv = $(".tabdiv > div").eq(index);
        var page = Math.ceil($cdiv.find("li").length / 4);
        if (sv[index] == 1) {
            $cdiv.stop(true, false).animate({ left: "-=" + width * (page - 1) + "px" }, 600);
            sv[index] = page;
        }
        else {
            $cdiv.stop(true, false).animate({ left: "+=" + width + "px" }, 600);
            sv[index]--;
        }
    }).hover(function() { $(this).addClass("rightbarchange"); }, function() { $(this).removeClass("rightbarchange"); });
}


function lv_adScroll() {    
    var adtimer;
    var $imgs = $(".ad_img > a").eq(0).siblings().css("display", "none").end().end(); 
    var index = 0, speed = 600, count = $imgs.length;

    $(".ad_div").hover(function() {
        clearInterval(adtimer);
    }, function() {
        adtimer = setInterval(function() {
            lv_scrollad(index + 1);
        }, 10000);
    }).trigger("mouseout"); 

    $(".ad_num li").mouseover(function() {     
        clearInterval(adtimer);
        lv_scrollad($(".ad_num li").index(this)); 
    }).eq(0).addClass("current");

    function lv_numfix(num) {              
        if (num > count - 1)
            return 0;
        return num;
    }

    function lv_scrollad(nextindex) {       
        index = lv_numfix(index), nextindex = lv_numfix(nextindex);
        $imgs.eq(index).css("display", "block").stop(true, false).animate({ opacity: "0" }, speed, function() {
            $(this).css("display", "none").css("opacity", "1");    
            index = nextindex;                                     
            $(".ad_num li").eq(nextindex).addClass("current").siblings().removeClass("current");   
            $imgs.eq(nextindex).css("display", "block").css("opacity", "0").animate({ opacity: "1" }, speed);
        });
    }
}









